Name:           perl-Catalyst-Plugin-Static-Simple
Version:        0.17
Release:        1%{?dist}
Summary:        Make serving static pages painless
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Static-Simple/
Source0:        http://www.cpan.org/authors/id/A/AG/AGRUNDMA/Catalyst-Plugin-Static-Simple-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
# cpan
BuildRequires:  perl(Catalyst) >= 5.30
BuildRequires:  perl(HTTP::Request::AsCGI) 
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(MIME::Types) >= 1.15
# test
BuildRequires:  perl(Catalyst::Plugin::SubRequest)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

Requires:       perl(Catalyst) >= 5.30

%description
The Static::Simple plugin is designed to make serving static content in
your application during development quick and easy, without requiring a
single line of code from you.

%prep
%setup -q -n Catalyst-Plugin-Static-Simple-%{version}

find t/*.t -type f -exec perl -pi -e 's|^#!perl|#!/usr/bin/perl|' {} +
find .     -type f -exec perl -pi -e 's/\r//' {} +

# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(TestApp)/d'
EOF

%define __perl_provides %{_builddir}/Catalyst-Plugin-Static-Simple-%{version}/%{name}-prov
chmod +x %{__perl_provides}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(Catalyst)$/d; /perl(File::Spec::Functions)/d; /perl(FindBin)/d'
EOF

%define __perl_requires %{_builddir}/Catalyst-Plugin-Static-Simple-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
TEST_POD=1 make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jun 08 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.17-1
- update to 0.17
- switch build/install incantations; module switched to Module::Install

* Tue Jun 05 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.15-3
- bump

* Tue Jun 05 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.15-2
- add perl(HTTP::Request::AsCGI) as br
- include all of t/, not just t/lib/TestApp/

* Fri Apr 27 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.15-1
- Specfile autogenerated by cpanspec 1.71.
